Subject: Re: bug#65356: 30.0.50; [wishlist] Support Tramp method, user name and host name completion in eshell

From: Stefan Monnier <[email-masked]>
Date: Sat, 19 Aug 2023 14:37:49 -0400

> I gave it another try. There is a new user option pcomplete-remote-ignore.

FWIW, `pcomplete` is a generic completion library for use when
completing things like function/command calls where the things to be
completely at point depend on the position of the argument and the
command/function that is called.

It was originally designed for Eshell where those functions/commands are
actual commands in the host system, but it's also used for things like
ERC where the commands have nothing to do with executables installed in
your machine.

In theory is could be used for completion in code buffers where it
could provide specialized completion depending on the expected type of
the argument being completed.

        Stefan